LetsBot メニュー
はじめる 日本語 言語

Meta ビジネスパートナー 英国登記企業

言語

group · API エンドポイント

POST /api/v1/group/promote/participant

Promote group participant

You can promote list of phone numbers in the group.

You can promote list of phone numbers in the group. The Jid of the response is the Whatsapp account of the participant you promoted.

フォーム項目

項目例
jid120363057244685240@g.us
phones[0]{{phone2}}

リクエスト例

curl -X POST "https://letsbot.net/api/v1/group/promote/participant" \
  -H "Authorization: Bearer YOUR_LB_API_KEY" \
  -H "Accept: application/json" \
  -F "jid=120363057244685240@g.us" \
  -F "phones[0]={{phone2}}"
const response = await fetch("https://letsbot.net/api/v1/group/promote/participant", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_LB_API_KEY",
    "Accept": "application/json",
  },
  body: new URLSearchParams({
    "jid": "120363057244685240@g.us",
    "phones[0]": "{{phone2}}",
  }),
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://letsbot.net/api/v1/group/promote/participant');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer YOUR_LB_API_KEY',
        'Accept: application/json',
    ],
    CURLOPT_POSTFIELDS => http_build_query([
        'jid' => '120363057244685240@g.us',
        'phones[0]' => '{{phone2}}',
    ]),
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "POST",
    "https://letsbot.net/api/v1/group/promote/participant",
    headers={
        "Authorization": "Bearer YOUR_LB_API_KEY",
        "Accept": "application/json",
    },
    data={
        "jid": "120363057244685240@g.us",
        "phones[0]": "{{phone2}}",
    },
)

print(response.json())

レスポンス

Success Respose200
(本文なし)
Failed Response202
(本文なし)

準備ができたらいつでも

ご自身の番号でこのエンドポイントを試す

API は無料トライアル中から利用できます。アカウントを作成し、WhatsApp 番号を接続して、API → 認証データ からキーをコピーしてください。